/*
 *  ofxSOBuzz.h
 *  openFrameworks
 *
 *  Created by joshua noble on 10/24/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef OFXSO_BUZZ
#define OFXSO_BUZZ

#include "ofxBaseSndObj.h"
#include "ofxSOTable.h"

class ofxSndObj;
class ofxSOTable;

class ofxSOBuzz : public ofxBaseSndObj
{
public:
	
	ofxSOBuzz(ofxSndObj* parent, float frequency, float amp, int harm);
	ofxSOBuzz();
	~ofxSOBuzz();
	
	void init(ofxSndObj* parent, float frequency, float amp, int harm);
	int setFrequency(float frequency, float amp);
	string getType();
	
protected:
		
	ofxSndObj* sndobj;
};

#endif

